## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemText Class Reference

This primarily acts as a marker on the element stack to signal that whitespace should be preserved. More...

Inheritance diagram for ElemText:

[legend]
Collaboration diagram for ElemText:

[legend]
List of all members.

## Public Member Functions

- ElemText (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:text" element.
- virtual ~ElemText ()
- bool getDisableOutputEscaping () const
    Determine whether output escaping should be disabled.
- virtual const XalanDOMString & getElementName () const
    Get a string for the name of the element.

## Protected Member Functions

- virtual bool childTypeAllowed (int xslToken) const
    Given an xsl token type, determine whether or not a child of that type is allowed.

## Detailed Description

This primarily acts as a marker on the element stack to signal that whitespace should be preserved.

## Constructor & Destructor Documentation

ElemText::ElemText | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber
| ) |

Construct an object corresponding to an "xsl:text" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemText::~ElemText | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool ElemText::childTypeAllowed | ( | int | xslToken | ) | const`[protected, virtual]`

Given an xsl token type, determine whether or not a child of that type is allowed.

This is so derived types can determine whether a particular type of child is allowed for the instance. It is called from appendChildElem().

The default is to allow no types (no children)

Parameters:

  xslToken | The xsl token value of the child.

Returns:
  true if the child is allowed, or false if not.

Reimplemented from ElemTemplateElement.

bool ElemText::getDisableOutputEscaping | ( |  | ) | const

Determine whether output escaping should be disabled.

Returns:
  true if output escaping disabled

virtual const XalanDOMString& ElemText::getElementName | ( |  | ) | const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Implements ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemText.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.